MacellanMacellan SuperApp
ÖdemeOTP İle Ödeme

Doğrulama

  • OTP ödeme tamamlama servisi ile müşteriden alınan OTP kodu ve harcama id ile ödeme işlemini tamamlamak için kullanılır.

  • Ödeme Başlatma isteğinden sonra çalıştırılması gerekmektedir.

POST
/integration/payment/otp/complete

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

phone*string

Kullanıcı telefon bilgisi (E.164 Format)

code*string

OTP doğrulama kodu

payment_id*integer

Harcama ID

{
  "phone": "+905231113344",
  "code": "123456",
  "payment_id": 1
}

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.altpay.dev/integration/payment/otp/complete" \  -H "Content-Type: application/json" \  -d '{    "phone": "+905231113344",    "code": "123456",    "payment_id": 1  }'
{
  "data": {
    "payment_id": 1,
    "wallet_id": 1,
    "user_id": 1,
    "user_mapping_id": "8b5ac43a-20ce-4987-a739-d8a7ee480eaa",
    "company_id": 1,
    "branch_id": 1,
    "cashier_id": 1,
    "reference_code": 123456,
    "order_id": 1305549790,
    "price": 1,
    "paid_price": 1,
    "price_show": "1,00",
    "paid_price_show": "1,00",
    "point": 1,
    "point_show": "0,00",
    "final_total": 1,
    "final_total_show": "1,00",
    "discounted_total_amount": 1,
    "discounted_total_amount_show": "1,00",
    "discount_point": 0,
    "discount_point_show": "0,00",
    "discount_percent": 0,
    "refund_amount": 0,
    "status": "approved",
    "status_translate": "Onaylandı",
    "gateway": "terminal",
    "is_shared_wallet": true,
    "wallet_share_id": 0,
    "user_fillable_point": true,
    "wallet_share": {
      "description": "string"
    }
  }
}
{
  "message": "Unauthenticated"
}
{
  "message": "İşlemi yapmak için yetkili değilsiniz."
}
{
  "message": "string"
}
{
  "message": "string"
}